<?php 
    $wp_customize->add_section( 
        'step_area',
        array(
            'title' => __( 'Steps Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );


    $wp_customize->add_setting(
        'step_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'step_area_disable',
            array(
                'settings'      => 'step_area_disable',
                'section'       => 'step_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'stepus', 'step_area', $color='#ebecf1', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'steparea_padding', 'step_area', 'Set Section Padding :');

$wp_customize->add_setting(
    'step_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'step_areaTpadding',
    array(
        'settings'      => 'step_areaTpadding',
        'section'       => 'step_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'step_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'step_areaBpadding',
    array(
        'settings'      => 'step_areaBpadding',
        'section'       => 'step_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'step_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'step_title_heading',
        array(
            'settings'      => 'step_title_heading',
            'section'       => 'step_area',
            'label'         => __( 'Section Heading, Subheading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'stepsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Working Steps', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'stepsubtitle',
    array(
        'settings'      => 'stepsubtitle',
        'section'       => 'step_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'step_area_subhead_clr', 'step_area', 'Heading Color ', '#ffa62e');
addColorPalatOption($wp_customize, 'step_area_dot_clr', 'step_area', 'Heading Dot Color ', '#7034FE');


$wp_customize->add_setting(
    'step_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'My Working Process', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'step_title',
    array(
        'settings'      => 'step_title',
        'section'       => 'step_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'step_area_sectitle_color', 'step_area', 'Sub Heading Color ', '#040404');


$wp_customize->add_setting('stepus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'stepus_npp_heading',
        array(
            'settings'      => 'stepus_npp_heading',
            'section'       => 'step_area',
            'label'         => __( 'Number Of Step Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('stepus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'stepus_npp_count',
    array(
        'settings'      => 'stepus_npp_count',
        'section'       => 'step_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Step Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//step PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'stepus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'stepus_header'.$i,
            array(
                'settings'      => 'stepus_header'.$i,
                'section'       => 'step_area',
                'label'         => __( 'Step Box ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'stepus_page_icon'.$i,
        array(
            'default'           => 'fa fa-diamond',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'stepus_page_icon'.$i,
            array(
                'settings'      => 'stepus_page_icon'.$i,
                'section'       => 'step_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );
lzAddElement($wp_customize, 'stepus_page_num'.$i, 'step_area', $type = 'text', $label="Step Number", $callback ='luzuk_sanitize_text', $default='01');

lzAddElement($wp_customize, 'stepus_page_title'.$i, 'step_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Sketch Drawing');

lzAddElement($wp_customize, 'stepus_page_text'.$i, 'step_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='Nunc vestibulum orci sed ipsum aliquam, quis elementum dui accumsan praesent.');

} 

lzCustomLable($wp_customize, 'bensecbtn', 'step_area' , 'Section Color');

addColorPalatOption($wp_customize, 'step_area_pagebxicon', 'step_area', 'Icon Color', '#ffa62e');

addColorPalatOption($wp_customize, 'step_area_pagebxiconhvr', 'step_area', 'Icon Hover Color', '#6f34fe');

addColorPalatOption($wp_customize, 'step_area_pagebxBG', 'step_area', 'Circle BG Color', '#d5c6f9');
addColorPalatOption($wp_customize, 'step_area_pagebxBGhvr', 'step_area', 'Circle BG Hover Color', '#e08286');

addColorPalatOption($wp_customize, 'step_area_pageicon', 'step_area', 'Number Color', '#dddddd');
addColorPalatOption($wp_customize, 'step_area_pageiconhvr', 'step_area', 'Number Hover Color', '#e10309');

addColorPalatOption($wp_customize, 'step_area_pagetitle', 'step_area', 'Title Color', '#040404');
addColorPalatOption($wp_customize, 'step_area_pagetext', 'step_area', 'Text Color', '#b5b4b4');
addColorPalatOption($wp_customize, 'step_area_pagebxbg', 'step_area', 'Box BG Color', '#ffffff');
addColorPalatOption($wp_customize, 'step_area_boxbghvr1_clr', 'step_area', 'Box BG Hover Color 1', '#b5afff');
addColorPalatOption($wp_customize, 'step_area_boxbghvr2_clr', 'step_area', 'Box BG Hover Color 2', '#f9ebbb');